# Generated from file_validators-3.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name file_validators

Name: rubygem-%{gem_name}
Version: 3.0.0
Release: 1%{?dist}
Summary: ActiveModel file validators
License: MIT
URL: https://github.com/musaffa/file_validators
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(fastimage)
# BuildRequires: rubygem(marcel) >= 0.3
# BuildRequires: rubygem(marcel) < 1
# BuildRequires: rubygem(mimemagic) >= 0.3.2
# BuildRequires: rubygem(mini_mime) >= 1.0
# BuildRequires: rubygem(mini_mime) < 2
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(rspec) >= 3.5.0
# BuildRequires: rubygem(rspec) < 3.6
# BuildRequires: rubygem(rubocop) >= 0.58.2
# BuildRequires: rubygem(rubocop) < 0.59
BuildArch: noarch

%description
Adds file validators to ActiveModel.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.tool-versions
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Appraisals
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/file_validators.gemspec
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 3.0.0-1
- Initial package
